Skip to main content
GET
Read routing results

Authorizations

Authorization
string
header
required

Use a valid Bearer token to authenticate.

Query Parameters

resultCode
string

An unique value for result optimization data serving as an alternative identifier. Example: Route-20230801-001

hubId
string

Fundamental entity within an organization, serving as the central point for managing various operational components. Use Use GET /hubs endpoint to get the list of Hub IDs. Example: 634e98498ce07d29474a7e29

page
integer
default:1

The page number of results to retrieve. Example: 2

limit
integer
default:20

Specifies the maximum number of items to retrieve in a single request. Example: 10

Required range: 1 <= x <= 1000
s
string

Search routing results by result name or assignee email. Example: routing

sortBy
string

Sort the result-set in ascending or descending order based on selected field. Example: name, hubId, hubCoordinate, etc. Default: createdTime

sortOrder
string

Choose ascending or descending order for sorting the results. Example: asc or desc. Default: desc

fields
string

List of fields to include in the response, separated by comma (,) delimiter. Example: createdTime,configurationId,createdBy,resultTotal,name,configuration

dateFrom
string

Retrieves results starting from this date onwards. Supports the following formats: Y-m-d Example: 2023-08-08 Y-m-d H:i:S Example: 2023-08-08 00:00:00 Y-m-dTH:i:s.sssZ. Example: 2023-08-08T00:00:00.000Z

dateTo
string

Retrieves results up to this specified date. Use in combination with dateFrom to define a date range. Supports the following formats: Y-m-d Example: 2023-08-08 Y-m-d H:i:S Example: 2023-08-08 00:00:00 Y-m-dTH:i:s.sssZ. Example: 2023-08-08T00:00:00.000Z

Response

Success

status
string

Status of response.

data
object[]

Object of pagination data.